import { IconsModule } from './../icons/icons.module';
import { Component, Input, OnInit } from '@angular/core';

@Component({
  selector: 'klib-button',
  templateUrl: './button.component.html',
  styleUrls: ['./button.component.css'],
})
export class ButtonComponent extends IconsModule implements OnInit {
  @Input() text: any = 'Pesquisar';
  @Input() icone: any = '';
  @Input() icon: any = this.icone;
  @Input() link: any = 'teste';
  @Input() type: any = 'primary';
  @Input() target: any = '_target';
  @Input() color: any = 'teste';
  teste: any;

  constructor() {
    super();
    this.icon = this.icone
  }

  ngOnInit(): void {
  }
}
