import { Component, Input, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { IconsModule } from '../icons/icons.module';

@Component({
  selector: 'klib-card-menu',
  templateUrl: './card-menu.component.html',
  styleUrls: ['./card-menu.component.css'],
})
export class CardMenuComponent extends IconsModule implements OnInit {
  @Input() icon: any;
  @Input() colorIcon: any;
  @Input() text: any;
  @Input() link: any;

  constructor(private router: Router) {
    super();
  }

  ngOnInit(): void {}

  navigateRouter() {
    this.router.navigate(['/', this.link]);
    console.log("🚀 ~ this.link", this.link)
  }
}
