import { Component, Input, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { IconsModule } from '../icons/icons.module';

@Component({
  selector: 'klib-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.css'],
})
export class HeaderComponent extends IconsModule implements OnInit {
  @Input() imagePath: any;
  @Input() position: any;
  @Input() title: any;
  @Input() menu: any;
  menu1: any;
  menu2: any;
  menu3: any;
  menu4: any;
  menu5: any;
  menu6: any;
  user: any;
  show: boolean = false;

  constructor(private router: Router) {
    super();
  }

  ngOnInit(): void {
    this.positions();
    this.menus();
  }

  positions() {
    if (this.position === 'relative') {
      this.position = 'relative';
    }
    if (this.position === 'absolute') {
      this.position = 'absolute';
    }
    if (this.position === 'fixed') {
      this.position = 'fixed';
    }
    if (this.position === 'static') {
      this.position = 'static';
    }
    if (this.position === 'inherit') {
      this.position = 'inherit';
    }
  }
  mouseEnter(event: any) {
    switch (event.target.id) {
      case 'menu1':
        this.menu1 = 'block';

        break;
      case 'menu2':
        this.menu2 = 'block';

        break;
      case 'menu3':
        this.menu3 = 'block';

        break;
      case 'menu4':
        this.menu4 = 'block';

        break;
      case 'menu5':
        this.menu5 = 'block';

        break;
      case 'menu6':
        this.menu6 = 'block';

        break;
      case 'user':
        this.user = 'block';

        break;

      default:
        break;
    }
  }
  mouseLeave(event: any) {
    switch (event.target.id) {
      case 'menu1':
        this.menu1 = 'none';

        break;
      case 'menu2':
        this.menu2 = 'none';

        break;
      case 'menu3':
        this.menu3 = 'none';

        break;
      case 'menu4':
        this.menu4 = 'none';

        break;
      case 'menu5':
        this.menu5 = 'none';

        break;
      case 'menu6':
        this.menu6 = 'none';

        break;
      case 'user':
        this.user = 'none';

        break;

      default:
        break;
    }
  }
  menus() {
    if (this.menu === 'false') {
      this.menu = 'none';
    } else {
      this.menu = 'flex';
    }
  }
  showMenu() {
    this.show = !this.show;
  }
  navigate(event: any) {
    this.router.navigate(['/' + event]);
  }
}
