import { NgModule } from '@angular/core';
import { ButtonComponent } from './button/button.component';
import { HeaderComponent } from './header/header.component';
import { CommonModule } from '@angular/common';
import { IconsModule } from './icons/icons.module';
import { CardMenuComponent } from './card-menu/card-menu.component';

@NgModule({
  declarations: [ButtonComponent, HeaderComponent, CardMenuComponent],
  imports: [CommonModule, IconsModule],
  exports: [ButtonComponent, HeaderComponent,CardMenuComponent, IconsModule],
})
export class KumonLibAngularModule {}
